org.apache.poi.xssf.util

## Class NumericRanges

- java.lang.Object
- - org.apache.poi.xssf.util.NumericRanges

-     public class NumericRanges
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `NO_OVERLAPS`
    `static int` | `OVERLAPS_1_MINOR`
    `static int` | `OVERLAPS_1_WRAPS`
    `static int` | `OVERLAPS_2_MINOR`
    `static int` | `OVERLAPS_2_WRAPS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NumericRanges()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static long[]` | `getOverlappingRange(long[] range1, long[] range2)`
    `static int` | `getOverlappingType(long[] range1, long[] range2)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NO_OVERLAPS

          public static final int NO_OVERLAPS

      See Also:
        Constant Field Values

    - #### OVERLAPS_1_MINOR

          public static final int OVERLAPS_1_MINOR

      See Also:
        Constant Field Values

    - #### OVERLAPS_2_MINOR

          public static final int OVERLAPS_2_MINOR

      See Also:
        Constant Field Values

    - #### OVERLAPS_1_WRAPS

          public static final int OVERLAPS_1_WRAPS

      See Also:
        Constant Field Values

    - #### OVERLAPS_2_WRAPS

          public static final int OVERLAPS_2_WRAPS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NumericRanges

          public NumericRanges()

  - ### Method Detail

    - #### getOverlappingRange

          public static long[] getOverlappingRange(long[] range1,
                                                   long[] range2)

    - #### getOverlappingType

          public static int getOverlappingType(long[] range1,
                                               long[] range2)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.